#pragma once
#include <Gaming/Map2D.h>
#include "Tile.h"
#include "Object.h"
#include <Resource/Folder.h>
#include <vector>

namespace assets
{
	class Event
	{
	public:
		Event() {}

		std::string title;
		EventType type;
		std::string condition;
		std::string imageID;
		std::string text;
	};

	class Map
	{
	public:
		Map() {}
		void load(gge::resource::Folder &folder);

		int startingGold, startingPopulation, startingHour, populationLimit;

		gaming::Map2D<Tile*> tileMap;
		std::vector<ObjectInfo> objects;
		std::vector<Event> events;
	};
}
